<?php
    function comprobarFecha($dia,$mes,$ano)
    {
    	if($dia && $mes && $ano)
    	{
	    	if(checkdate($mes,$dia,$ano))
	    	{
	    		return true;
	    	}
	    }
	    return false;
    }
	function traducirFecha($n)
	{
		if($n<10 && strlen($n)==1)
		{
			$n="0".$n;
		}
		return $n;
	}
	function traducirMes($n)
	{
		switch($n)
		{
			case 1:
				$mes="Enero";
				break;
			case 2:
				$mes="Febrero";
				break;
			case 3:
				$mes="Marzo";
				break;
			case 4:
				$mes="Abril";
				break;
			case 5:
				$mes="Mayo";
				break;
			case 6:
				$mes="Junio";
				break;
			case 7:
				$mes="Julio";
				break;
			case 8:
				$mes="Agosto";
				break;
			case 9:
				$mes="Septiembre";
				break;
			case 10:
				$mes="Octubre";
				break;
			case 11:
				$mes="Noviembre";
				break;
			case 12:
				$mes="Diciembre";
				break;
		}
		return $mes;
	}
	function cumplidos ($dia,$mes)
	{
	  if($mes<date(n))
	  {
	  	return true;
	  } else
	  {
	  	if($mes==date(n))
	  	{
	  		if($dia<=date(j))
	  		{
	  			return true;
	  		}
	  	}
	  }
	 	return false;
	}
  function calcularEdad($dia,$mes,$ano)
  {
   	$anos=date(Y)-$ano;
   	if(!cumplidos($dia,$mes))
   	{
   		$anos--;
   	}
   	return $anos;
  }
?>